
Known bugs in libpng version 1.2.50

1. February 23, 2006: The custom makefiles don't build libpng with -lz.

   STATUS: This is a subject of debate. The change will probably be made
   as a part of a major overhaul of the makefiles in libpng version 1.4.0.

2. February 24, 2006: The Makefile generated by the "configure" script
   fails to install symbolic links
   libpng12.so => libpng12.so.0.1.2.9betaN
   that are generated by the custom makefiles.

3. September 4, 2007:  There is a report that pngtest crashes on MacOS 10.

   STATUS: workarounds are
      1) Compile without optimization (crashes are observed with
         -arch i386 and -O2 or -O3, using gcc-4.0.1).
      2) Compile pngtest.c with PNG_DEBUG defined (the bug goes away if
         you try to look at it).
      3) Ignore the crash.  The library itself seems to be OK.

